Module javafx.base
Package javafx.beans

# Annotation Interface NamedArg

@Retention(RUNTIME) @Target(PARAMETER) public @interface NamedArg
Annotation that provides information about argument's name.

Since:
  JavaFX 8.0

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
The name of the annotated argument.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`defaultValue`
The default value of the annotated argument.

## Element Details

### value

String value
The name of the annotated argument.

Returns:
  the name of the annotated argument

### defaultValue

String defaultValue
The default value of the annotated argument.

Returns:
  the default value of the annotated argument

Default:
  `""`